export const SAVE_FORM_STATE = '[FORMS] Save form state';
export const DELETE_FORM_STATE = '[FORMS] Delete form state';
export const RELOAD_FORM_STATE = '[FORMS] Reload form state';

export class SaveFormState {
  static readonly type = SAVE_FORM_STATE;

  constructor(public key: string, public form: string) {}
}

export class DeleteFormState {
  static readonly type = DELETE_FORM_STATE;

  constructor(public key: string) {}
}

export class ReloadFormState {
  static readonly type = RELOAD_FORM_STATE;

  constructor(public formsState: { [id: number]: { [key: string]: string } }) {}
}
